<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__pdmpcm" kind="group">
    <compoundname>group_hal_results_pdmpcm</compoundname>
    <title>PDM/PCM HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__pdmpcm_1gab471f70db994ab16530c558581c77eb3" kind="define" prot="public" static="no">
        <name>CYHAL_PDM_PCM_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a52c9005959fa8236fc262a990d3bd48f">CYHAL_RSLT_MODULE_PDMPCM</ref>, 0))</initializer>
        <briefdescription>
<para>The pin PDM/PCM hardware cannot be initialized with the passed in pin. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="100" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="100" />
      </memberdef>
      <memberdef id="group__group__hal__results__pdmpcm_1ga3cc92f16488e35fe3ea1cdf25cfabf00" kind="define" prot="public" static="no">
        <name>CYHAL_PDM_PCM_RSLT_ERR_INVALID_CONFIG_PARAM</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a52c9005959fa8236fc262a990d3bd48f">CYHAL_RSLT_MODULE_PDMPCM</ref>, 1))</initializer>
        <briefdescription>
<para>A configuration parameter is invalid: sample_rate, decimation_rate, PCM word length, left/right gain. </para>        </briefdescription>
        <detaileddescription>
<para>See the implementation specific documentation for valid range </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="104" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="104" />
      </memberdef>
      <memberdef id="group__group__hal__results__pdmpcm_1ga2ad85ab6a3b273a585179c75474fe1a3" kind="define" prot="public" static="no">
        <name>CYHAL_PDM_PCM_RSLT_ERR_ASYNC_IN_PROGRESS</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a52c9005959fa8236fc262a990d3bd48f">CYHAL_RSLT_MODULE_PDMPCM</ref>, 2))</initializer>
        <briefdescription>
<para>An async read operation is already progres. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" bodystart="107" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_pdmpcm.h" line="107" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PDM/PCM specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>